# norootforbuild

%define qtdir /usr/lib/qt3

Name:		mandvd
Version:	2.6
Release:	3.2

Summary:	Video DVD creation tool
URL:		http://www.kde-apps.org/content/show.php/ManDVD?content=83906
License:	GNU General Public License (GPL)
Group:		Productivity/Multimedia/Video/Editors and Convertors

Source:		mandvd-%{version}-1.fc12.tar.gz

Patch0:		mandvd-lame2twolame.patch
Patch1:		mandvd-NTSC.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

Requires:	gimp-2.0 dvd-slideshow MPlayer mkisofs xine-ui dvdauthor
Requires:	mjpegtools netpbm transcode dvd+rw-tools twolame

BuildRequires:	qt3-devel update-desktop-files

%description
ManDVD is a graphical tool for creating Video DVDs, including menus.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%__sed -i '/^X-Desktop-File/d' mandvd.desktop

%build
export QTDIR="%{qtdir}"
%{qtdir}/bin/qmake "mandvd.pro"
test -e Makefile.m && %__perl -pi'.orig' -e 's/-O2/-O0/g if /^\s*C(XX)?FLAGS\s*=/' Makefile.m

%__make %{?jobs:-j%{jobs}}

%install
%__install -D -m 755 mandvd "%{buildroot}%{_bindir}/mandvd"
%__install -D -m 644 mandvd.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 644 mandvdico.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%__install -D -m 644 mandvdSplash.png "%{buildroot}%{_datadir}/pixmaps/mandvdSplash.png"

%suse_update_desktop_file -r %{name} AudioVideo DiscBurning


%files
%defattr(-,root,root)
%doc COPYING README TODO
%{_bindir}/mandvd
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/mandvdSplash.png

%clean
%__rm -rf "%{buildroot}"

%changelog
* Sat Oct 17 2009 Detlef Reichelt <detlef@links2linux.de> 2.5+5
- add NTSC patch
* Sun Aug 16 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> 2.5+5-0.pm.2
- added a patch to use twolame instead of lame (problems with lame >= 3.99
  and lame creates mp3, not mp2 what's needed for correct DVD)

* Thu Mar 12 2009 Pascal Bleser <pascal.bleser@opensuse.org> 2.5+5-0.pm.1
- update to 2.5-5

* Sat Aug  9 2008 Pascal Bleser <guru@unixtech.be> 2.5+4-0.pm.3
- fix Requires:gimp => gimp-2.0

* Sun Aug  3 2008 Pascal Bleser <guru@unixtech.be> 2.5+4-0.pm.2
- added patch to work properly with lame 3.98 (which is now explicitly versioned in Requires:)

* Tue Jul  8 2008 Pascal Bleser <guru@unixtech.be> 2.5+4-0.pm.1
- new upstream version:
  * fixed various bugs for computation of estimated DVD-size outcome
  * loading project recalculate estimated DVD-size
  * adjustments to calculation of final project size, hope its more accurate now
  * calculation only performed on files that shall be reencoded and more specific depending on input quality
  * removed SVCD and VCD standards and replaced it with only CDV option which is the half-size DVD standard,
    make reasonable quality with less space
  * fix bug so now its possible to remove intro video if its the last to remove
  * fix audio encoding to handle obscure bit rates when going to AC3
  * saved project files now handle Introduction Video better
  * saved project files does not have the same name that made things bad if different projects where stored in the same folder
  * various language updates in English and Portuguese
  * new translation to German by Kai Regenstein 

* Fri Jul  4 2008 Pascal Bleser <guru@unixtech.be> 2.5+3-0.pm.1
- added debug_package macro
- new upstream version: 2.5-3
- use fully qualified upstream source URL
- fixed Group: to be openSUSE compliant
- fixed Desktop category to be openSUSE compliant
- added doc files to package

* Sat Jun 28 2008 Detlef Reichelt <detlef@links2linux.de> <2.5>-<0.pm.1>
- new upstream version <2.5>
* Sun Nov 05 2006 Detlef Reichelt <detlef@links2linux.de> <2.4>-<0.pm.1>
- new upstream version
* Fri Nov 03 2006 Detlef Reichelt <detlef@links2linux.de> <2.3>-<0.pm.1>
- new upstream version
* Fri Sep 15 2006 Detlef Reichelt <detlef@links2linux.de> <2.2>-<0.pm.1>
- new upstream version
* Mon Sep 11 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.8>-<0.pm.1>
- new upstream version
* Fri Sep 08 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.7>-<0.pm.1>
- new upstream version
* Thu Sep 05 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.6>-<0.pm.1>
- new upstream version
* Sun Sep 03 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.5>-<0.pm.1>
- new upstream version
* Wed Aug 31 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.4>-<0.pm.1>
- new upstream version
* Sun Aug 27 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.3>-<0.pm.1>
- new upstream version
* Sat Aug 26 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.2>-<0.pm.1>
- new upstream version
* Wed Aug 23 2006 Detlef Reichelt <detlef@links2linux.de> <2.1.1>-<0.pm.1>
- new upstream version
* Sun Aug 20 2006 Detlef Reichelt <detlef@links2linux.de> <2.1>-<0.pm.1>
- new upstream version
* Fri Aug 18 2006 Detlef Reichelt <detlef@links2linux.de> <2.0.17>-<0.pm.1>
- new upstream version
* Wed Aug 16 2006 Detlef Reichelt <detlef@links2linux.de> <2.0.16>-<0.pm.1>
- new upstream version
* Mon Aug 14 2006 Detlef Reichelt <detlef@links2linux.de> <2.0.15>-<0.pm.1>
- new upstream version
* Thu Aug 11 2006 Detlef Reichelt <detlef@links2linux.de> <2.0.14>-<0.pm.1>
- new upstream version
* Mon Aug 08 2006 Detlef Reichelt <detlef@links2linux.de> <2.0.12>-<0.pm.1>
- first build for packman
